import scala.collection.mutable

object ScalaDemo{
  def main(args: Array[String]): Unit = {
    //定义一个栈
    val s1 =mutable.Stack(1,2,3,4,5);
    //通过top获取栈顶数据
    println(s1.top)
    println(s1.size)
    println("-"*20)
    //通过push()操作，把元素6添加到栈顶位置
    s1.push(6);
    println(s1)
    println("-"*20)
    //pushAll()往栈顶添加Seq(11,22,33)序列
    s1.pushAll(Seq(11,22,33))
    println(s1)
    println("-"*20)
    //通过pop()移除栈顶元素
    println(s1.pop)
    println(s1)
    println("-"*20)
    s1.clear()
    println(s1)
  }

}